Bug 1500295 - [Samba-Mac OS]Multiple core files are generated upon delete operation in a share mount on Mac OS
Summary: [Samba-Mac OS]Multiple core files are generated upon delete operation in a sh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba
Version: rhgs-3.3
Hardware: Unspecified
OS: All
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Anoop C S
QA Contact: Vivek Das
URL:
Whiteboard:
Depends On:
Blocks: 1446125 1503134 1522720
TreeView+ depends on / blocked
 
Reported: 2017-10-10 11:00 UTC by Vivek Das
Modified: 2018-09-23 13:45 UTC (History)
8 users (show)

Fixed In Version: samba-4.7.2-100.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 06:55:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Samba Project 13086 0 None None None 2019-05-08 19:53:37 UTC

Description Vivek Das 2017-10-10 11:00:40 UTC
Description of problem:
Mount the volume share on Mac OS create files or copy a huge file to the mount point. Now manually try to right click and delete (move to trash).
The mount point gets hung and cores are generated on the server.

Version-Release number of selected component (if applicable):
samba-4.6.3-6.el7rhgs.x86_64
glusterfs-3.8.4-48.el7rhgs.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Create volume over a samba ctdb setup
2.Mount the volume on a Mac OS
3.Delete a folder in the mount point

Actual results:
Mount is getting hung and cores are generated

Expected results:
Should work well and good without creating any cores.

Additional info:
 BACKTRACE: 33 stack frames:
#0 /lib64/libsmbconf.so.0(log_stack_trace+0x1a) [0x7f0c0bca55aa]
#1 /lib64/libsmbconf.so.0(smb_panic_s3+0x20) [0x7f0c0bca5680]
#2 /lib64/libsamba-util.so.0(smb_panic+0x2f) [0x7f0c0dd8195f]
#3 /lib64/libsamba-util.so.0(+0x23b76) [0x7f0c0dd81b76]
#4 /lib64/libpthread.so.0(+0xf5e0) [0x7f0c0e1e85e0]
#5 /lib64/libc.so.6(gsignal+0x37) [0x7f0c0a32e1f7]
#6 /lib64/libc.so.6(abort+0x148) [0x7f0c0a32f8e8]
#7 /lib64/libc.so.6(+0x74f47) [0x7f0c0a36df47]
#8 /lib64/libc.so.6(+0x7c619) [0x7f0c0a375619]
#9 /lib64/libc.so.6(closedir+0xd) [0x7f0c0a3b380d]
#10 /usr/lib64/samba/vfs/fruit.so(+0xcd90) [0x7f0bf28fad90]
#11 /usr/lib64/samba/vfs/catia.so(+0x5420) [0x7f0bf26e6420]
#12 /usr/lib64/samba/lib-base-samba4.so(close_file+0x4b5) [0x7f0c0d909065]
#13 /usr/lib64/samba/lib-base-samba4.so(+0x148483) [0x7f0c0d940483]
#14 /usr/lib64/samba/lib-base-samba4.so(_smb2_request_process_close+0x17d) [0x7f0c0d940ccd]
#15 /usr/lib64/samba/lib-base-samba4.so(_smb2_request_dispatch+0x1adb) [0x7f0c0d93513b]
#16 /usr/lib64/samba/lib-base-samba4.so(_smb2_request_dispatch_immediate+0x75) [0x7f0c0d935fd5]
#17 /lib64/libtevent.so.0(tevent_common_loop_immediate+0xda) [0x7f0c0a6c1aba]
#18 /lib64/libtevent.so.0(+0xac9d) [0x7f0c0a6c6c9d]
#19 /lib64/libtevent.so.0(+0x92a7) [0x7f0c0a6c52a7]
#20 /lib64/libtevent.so.0(_tevent_loop_once+0x9d) [0x7f0c0a6c10cd]
#21 /lib64/libtevent.so.0(tevent_common_loop_wait+0x1b) [0x7f0c0a6c12fb]
#22 /lib64/libtevent.so.0(+0x9247) [0x7f0c0a6c5247]
#23 /usr/lib64/samba/lib-base-samba4.so(_process+0x6e4) [0x7f0c0d924944]
#24 /usr/sbin/(+0xca74) [0x7f0c0e625a74]
#25 /lib64/libtevent.so.0(+0xaedb) [0x7f0c0a6c6edb]
#26 /lib64/libtevent.so.0(+0x92a7) [0x7f0c0a6c52a7]
#27 /lib64/libtevent.so.0(_tevent_loop_once+0x9d) [0x7f0c0a6c10cd]
#28 /lib64/libtevent.so.0(tevent_common_loop_wait+0x1b) [0x7f0c0a6c12fb]
#29 /lib64/libtevent.so.0(+0x9247) [0x7f0c0a6c5247]
#30 /usr/sbin/(main+0x1455) [0x7f0c0e620a95]
#31 /lib64/libc.so.6(__libc_start_main+0xf5) [0x7f0c0a31ac05]


smb.conf file
---------------
[gluster-volkswagen]
comment = For samba share of volume smbshare
vfs objects = catia fruit streams_xattr glusterfs
glusterfs:volume = volkswagen
glusterfs:logfile = /var/log/samba/glusterfs-volkswagen-fruit.%M.log
glusterfs:loglevel = 7
path = /
read only = no
guest ok = yes
fruit:resource = file
fruit:metadata = netatalk
fruit:locking = netatalk
fruit:encoding = native

Comment 2 Anoop C S 2017-10-12 14:03:42 UTC
(In reply to Vivek Das from comment #0)
> Steps to Reproduce:
> 1.Create volume over a samba ctdb setup
> 2.Mount the volume on a Mac OS
> 3.Delete a folder in the mount point

Is it happening while deleting files too?

Also can you please upload the coredumps and share the link?

Comment 4 Vivek Das 2017-10-13 04:28:23 UTC
(In reply to Anoop C S from comment #2)
> (In reply to Vivek Das from comment #0)
> > Steps to Reproduce:
> > 1.Create volume over a samba ctdb setup
> > 2.Mount the volume on a Mac OS
> > 3.Delete a folder in the mount point
> 
> Is it happening while deleting files too?

It is happening only for directories and not seen for files.

> 
> Also can you please upload the coredumps and share the link?

Comment 7 Vivek Das 2018-05-03 05:59:41 UTC
Version : samba-4.7.5-103.el7rhgs.x86_64
Followed the steps to reproduce and I am not hitting the issue with the above version.
Moving this bug to verified.

Comment 8 errata-xmlrpc 2018-09-04 06:55:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2613


Note You need to log in before you can comment on or make changes to this bug.